Delete a deployment and all its Kubernetes resources
DELETE
/deployments/{id}
const url = 'https://example.com/deployments/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/deployments/example \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
deploymentId
required
string
projectId
required
string
success
required
boolean
key
additional properties
Example generated
{ "deploymentId": "example", "projectId": "example", "success": true}